changeset.hpp File Reference
`#include <cstring>`
`#include <osmium/memory/collection.hpp>`
`#include <osmium/memory/item.hpp>`
`#include <osmium/osm/box.hpp>`
`#include <osmium/osm/entity.hpp>`
`#include <osmium/osm/item_type.hpp>`
`#include <osmium/osm/tag.hpp>`
`#include <osmium/osm/timestamp.hpp>`
`#include <osmium/osm/types.hpp>`
`#include <osmium/osm/types_from_string.hpp>`
Include dependency graph for changeset.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | osmium::builder::ObjectBuilder< TItem >
class | osmium::ChangesetComment
class | osmium::ChangesetDiscussion
class | osmium::Changeset
| An OSM Changeset, a group of changes made by a single user over a short period of time. More...

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::builder
| Classes for building OSM objects and other items in buffers.

## Functions

bool | osmium::operator== (const Changeset &lhs, const Changeset &rhs)
bool | osmium::operator!= (const Changeset &lhs, const Changeset &rhs)
bool | osmium::operator< (const Changeset &lhs, const Changeset &rhs)
bool | osmium::operator> (const Changeset &lhs, const Changeset &rhs)
bool | osmium::operator<= (const Changeset &lhs, const Changeset &rhs)
bool | osmium::operator>= (const Changeset &lhs, const Changeset &rhs)